/**
     A set of functions which roguhly check whether a string can represent 
     an integer, an unsigned integer, a double, etc.  

     Copyright (c) 2006 Yuanhui Xiao

     This program is free software; you can redistribute it 
     and/or modify it under the terms of the 
     GNU General Public License as published by 
     the Free Software Foundation;
     either version 2 of the License, 
     or (at your option) any later version.

     This program is distributed in the hope that it will be useful, 
     but WITHOUT ANY WARRANTY; without even the implied warranty of 
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See 
     the GNU General Public License for more details.

     You should have received a copy of the GNU General Public License 
     along with this program; if not, write to:

        the Free Software Foundation, Inc.
        51 Franklin St, Fifth
        Floor, Boston, MA 02110-1301, USA.

     Contact information: 
     E-mail: matyxx@langate.gsu.edu
     Adress:
        Department of Mathematics and Statistics
        Georgia State University
        750 COE, 30 Pryor Street
        Atlanta, GA 30303, USA
 */

#ifndef XNumberCheckers_H
#define XNumberCheckers_H

#include <cstdlib>
#include <string>
#include <cctype>

using namespace std;

bool IsUnsigned(char *str); // checks whether a string is an unsigned integer
bool IsInteger(char *str); // checks whether a string is an integer
bool IsDouble(char *str);  // checks whether a string is a double

#endif

